Bug 1563278 - transfer image - client inactivity timeout is too short and can't be configured from api
transfer image - client inactivity timeout is too short and can't be configur...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
4.2.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.2.3
: ---
Assigned To: Daniel Erez
Evelina Shames
:
Depends On:
Blocks: 1586198
  Show dependency treegraph
 
Reported: 2018-04-03 09:54 EDT by Daniel Erez
Modified: 2018-06-05 14:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-11 02:51:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
ylavi: exception+


Attachments (Terms of Use)
upload_with_inactivity_script (5.77 KB, text/x-python)
2018-05-10 02:15 EDT, Avihai
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 89767 master POST ImageTransfer - adding 'clientInactivityTimeout' property 2018-04-09 09:07 EDT
oVirt gerrit 89768 master MERGED core: TransferImage - configurable client timeout 2018-04-23 14:07 EDT
oVirt gerrit 89772 master MERGED core: increase TransferImageClientInactivityTimeoutInSeconds value 2018-04-04 07:05 EDT
oVirt gerrit 90363 master MERGED restapi: Update to model 4.3.10 2018-04-17 02:27 EDT
oVirt gerrit 90364 ovirt-engine-4.2 MERGED restapi: Update to model 4.2.32 2018-04-17 04:01 EDT
oVirt gerrit 90556 ovirt-engine-4.2 MERGED core: TransferImage - configurable client timeout 2018-04-25 04:32 EDT

  None (edit)
Description Daniel Erez 2018-04-03 09:54:07 EDT
As part of image transfer monitoring in the engine, we have a client inactivity timeout, which abort the transfer after a defined time - specified by TransferImageClientInactivityTimeoutInSeconds config value.

When using the sdk for transfer, for certain usages and environment, this timeout could be too short or merely not useful. Hence, the value should be increased by default, and configurable through the API.
Comment 2 Avihai 2018-05-10 02:15 EDT
Created attachment 1434202 [details]
upload_with_inactivity_script
Comment 7 Avihai 2018-05-10 08:03:35 EDT
I'm verifying this bug as functionality looks ok.

Please answer 2) in previous comment and advise with new issue should be opened or script changed 

Verified on :
4.2.3.5-0.1.el7
ovirt-imageio-proxy-1.3.1.2-0.el7ev.noarch
ovirt-imageio-daemon-1.3.1.2-0.el7ev.noarch
Comment 10 Sandro Bonazzola 2018-05-11 02:51:25 EDT
This bugzilla is included in oVirt 4.2.3 release, published on May 4th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.3 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.

Note You need to log in before you can comment on or make changes to this bug.